Introduction

UDG1000 WIMS Online-Viewer Exporter
Introduction

The Hach UDG1000TM WIMS Online/Viewer Export Driver is used to summarize data from UDG1000 Input parameters and push that data to Hach WIMS Online Variables. For example, the 5 second data from the DO, pH, and Temperature Input Parameters can be exported as minutely averages, hourly maximums, etc…

Hach UDG1000 Online Viewer is a subscription based software application that allows you to view your UDG1000 data online.

Copyright 2013 Hach, All rights reserved.


Pre-requisites

UDG1000 WIMS Online-Viewer Exporter
Pre-requisites

1. UDG1000 Software is installed on PC with an Internet connection.

2. Hach UDG1000 Online Viewer is provisioned for your license.

3. UDG1000 input parameters are setup and collecting data

Copyright 2013 Hach, All rights reserved.


Setup:

UDG1000 WIMS Online-Viewer Exporter
Setup:

1. Add a new Exporter. From the UDG1000 Main Menu go to Output>Exporters and click Add.

2. Select “UDG1000 Online Viewer” from the list. Click Add.

3. Enter a name for the Exporter. Click Save.

4. Click Test connection to Hach WIMS Online. This button will verify that Hach WIMS Online Server is reachable (via your internet connection) and that your Hach WIMS Viewer account has been setup. You should receive the following message:

If you receive the following message, please contact iimsupport at 800-677-0067 or email us at iimsupport@hach.com.

5. Click Save.

6. From the UDG1000 Main Menu go to Output>Cross References

7. You will be prompted for:

Frequency and Statistic specify how often and what to calculate. The above example, will calculate the Hourly Average and label the data as the start time of each hour. Example:

The DO_LDO input parameter has a polling frequency of 5 seconds, therefore to calculate the hourly average for the 8AM hour (08:00:00 thru 8:59:59) we will take all 5 second readings in that time frame, calculate the average and export that number.

8. You can add an Input Parameter multiple times to an export an order to get different statistics and frequencies into the export. Example below shows an export that Exports the hourly average for pH, daily max for pH, hourly average for Temperature, and the hourly Min, Max, and Average for DO.

Once the Export is setup, data will be written as it’s time range is complete. In the example setup above, UDG1000 will calculate the statistics for the Hourly’s after each hour is complete and will write the data at that time. When the day (as defined in the output cross reference) is complete the stat will be calculated and written to the file.

Copyright 2013 Hach, All rights reserved.


Technical Notes

UDG1000 WIMS Online-Viewer Exporter
Technical Notes

The UDG1000 Online Export driver exports both the data and the Output Cross Reference Metadata. Both files are consumed by the Hach WIMS Online Viewer. Steps in exporting data:

1. A new Export Cross Reference is created in UDG1000. For example, DO_LDO Hourly Average is defined.

2. At the end of the hour, the average is calculated and the two data files are created. One contains the data (i.e. ID, Timestamp, Calculated Value), the other file (metadata file) contains the Parameter Name, Statistic, Units, etc…

3. Files are sent to the Hach WIMS Online Secure FTP site.

4. Hach WIMS Online reads the Metadata file, creates a new WIMS Variable, and updates the Viewer Dashboard.

5. Hach WIMS Online imports the data into the WIMS Variable.

Note: If a UDG1000 output cross reference is updated (i.e. the name is changed), a metadata file will be created and the variable will be updated with the new name.

Copyright 2013 Hach, All rights reserved.